netCDF::NcVar Class Reference

`#include <ncVar.h>`

## Public Types

enum | ChecksumMode { nc_NOCHECKSUM = NC_NOCHECKSUM , nc_FLETCHER32 = NC_FLETCHER32 }
enum | ChunkMode { nc_CHUNKED = NC_CHUNKED , nc_CONTIGUOUS = NC_CONTIGUOUS }
enum | EndianMode { nc_ENDIAN_NATIVE = NC_ENDIAN_NATIVE , nc_ENDIAN_LITTLE = NC_ENDIAN_LITTLE , nc_ENDIAN_BIG = NC_ENDIAN_BIG }

## Public Member Functions

void | freeString (size_t len, char **data) const
NcVarAtt | getAtt (const std::string &name) const
int | getAttCount () const
std::map< std::string, NcVarAtt > | getAtts () const
ChecksumMode | getChecksum () const
void | getChunkingParameters (ChunkMode &chunkMode, std::vector< size_t > &chunkSizes) const
void | getCompressionParameters (bool &shuffleFilterEnabled, bool &deflateFilterEnabled, int &deflateLevel) const
NcDim | getDim (int i) const
int | getDimCount () const
std::vector< NcDim > | getDims () const
EndianMode | getEndianness () const
template<class T>
void | getFillModeParameters (bool &fillMode, T &fillValue) const
void | getFillModeParameters (bool &fillMode, void *fillValue=NULL) const
void | getFilter (unsigned int *idp, size_t *nparamsp, unsigned int *params) const
int | getId () const
std::string | getName () const
NcGroup | getParentGroup () const
NcType | getType () const
void | getTypeLen (nc_type type) const
void | getVar (char **dataValues) const
void | getVar (char *dataValues) const
void | getVar (const std::vector< size_t > &index, char **datumValue) const
void | getVar (const std::vector< size_t > &index, char *datumValue) const
void | getVar (const std::vector< size_t > &index, double *datumValue) const
void | getVar (const std::vector< size_t > &index, float *datumValue) const
void | getVar (const std::vector< size_t > &index, int *datumValue) const
void | getVar (const std::vector< size_t > &index, long *datumValue) const
void | getVar (const std::vector< size_t > &index, long long *datumValue) const
void | getVar (const std::vector< size_t > &index, short *datumValue) const
void | getVar (const std::vector< size_t > &index, signed char *datumValue) const
void | getVar (const std::vector< size_t > &index, unsigned char *datumValue) const
void | getVar (const std::vector< size_t > &index, unsigned int *datumValue) const
void | getVar (const std::vector< size_t > &index, unsigned long long *datumValue) const
void | getVar (const std::vector< size_t > &index, unsigned short *datumValue) const
void | getVar (const std::vector< size_t > &index, void *datumValue) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, char **dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, char *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, char **dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, char *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, char **dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, char *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, double *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, float *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, int *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, long *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, long long *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, short *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, signed char *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, unsigned char *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, unsigned int *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, unsigned long long *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, unsigned short *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, const std::vector< ptrdiff_t > &imap, void *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, double *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, float *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, int *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, long *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, long long *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, short *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, signed char *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, unsigned char *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, unsigned int *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, unsigned long long *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, unsigned short *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, const std::vector< ptrdiff_t > &stride, void *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, double *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, float *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, int *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, long *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, long long *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, short *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, signed char *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, unsigned char *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, unsigned int *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, unsigned long long *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, unsigned short *dataValues) const
void | getVar (const std::vector< size_t > &start, const std::vector< size_t > &count, void *dataValues) const
void | getVar (double *dataValues) const
void | getVar (float *dataValues) const
void | getVar (int *dataValues) const
void | getVar (long *dataValues) const
void | getVar (long long *dataValues) const
void | getVar (short *dataValues) const
void | getVar (signed char *dataValues) const
void | getVar (unsigned char *dataValues) const
void | getVar (unsigned int *dataValues) const
void | getVar (unsigned long long *dataValues) const
void | getVar (unsigned short *dataValues) const
void | getVar (void *dataValues) const
bool | isNull () const
| NcVar ()
| NcVar (const NcGroup &grp, const int &varId)
| NcVar (const NcVar &ncVar)
bool | operator!= (const NcVar &rhs) const
NcVar & | operator= (const NcVar &rhs)
bool | operator== (const NcVar &rhs) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, double datumValue) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, float datumValue) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, int datumValue) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, long datumValue) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, long long datumValue) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, short datumValue) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, size_t len, const double *dataValues) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, size_t len, const float *dataValues) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, size_t len, const int *dataValues) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, size_t len, const long *dataValues) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, size_t len, const long long *dataValues) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, size_t len, const short *dataValues) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, size_t len, const signed char *dataValues) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, size_t len, const unsigned char *dataValues) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, size_t len, const unsigned int *dataValues) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, size_t len, const unsigned long long *dataValues) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, size_t len, const unsigned short *dataValues) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, size_t len, const void *dataValues) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, unsigned int datumValue) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, unsigned long long datumValue) const
NcVarAtt | putAtt (const std::string &name, const NcType &type, unsigned short datumValue) const
NcVarAtt | putAtt (const std::string &name, const std::string &dataValues) const
NcVarAtt | putAtt (const std::string &name, size_t len, const char **dataValues) const
void | putVar (const char **dataValues) const
void | putVar (const char *dataValues) const
void | putVar (const double *dataValues) const
void | putVar (const float *dataValues) const
void | putVar (const int *dataValues) const
void | putVar (const long *dataValues) const
void | putVar (const long long *dataValues) const
void | putVar (const short *dataValues) const
void | putVar (const signed char *dataValues) const
void | putVar (const std::vector< size_t > &index, const char **datumValue) const
void | putVar (const std::vector< size_t > &index, const double datumValue) const
void | putVar (const std::vector< size_t > &index, const float datumValue) const
void | putVar (const std::vector< size_t > &index, const int datumValue) const
void | putVar (const std::vector< size_t > &index, const long datumValue) const
void | putVar (const std::vector< size_t > &index, const long long datumValue) const
void | putVar (const std::vector< size_t > &index, const short datumValue) const
void | putVar (const std::vector< size_t > &index, const signed char *datumValue) const
void | putVar (const std::vector< size_t > &index, const std::string &datumValue) const
void | putVar (const std::vector< size_t > &index, const unsigned char *datumValue) const
void | putVar (const std::vector< size_t > &index, const unsigned int datumValue) const
void | putVar (const std::vector< size_t > &index, const unsigned long long datumValue) const
void | putVar (const std::vector< size_t > &index, const unsigned short datumValue) const
void | putVar (const std::vector< size_t > &index, const void *datumValue) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const char **dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const char *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const double *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const float *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const int *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const long *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const long long *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const short *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const signed char *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const char **dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const char *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const double *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const float *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const int *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const long *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const long long *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const short *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const signed char *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const char **dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const char *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const double *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const float *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const int *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const long *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const long long *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const short *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const signed char *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const unsigned char *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const unsigned int *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const unsigned long long *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const unsigned short *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const std::vector< ptrdiff_t > &imapp, const void *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const unsigned char *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const unsigned int *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const unsigned long long *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const unsigned short *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const std::vector< ptrdiff_t > &stridep, const void *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const unsigned char *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const unsigned int *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const unsigned long long *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const unsigned short *dataValues) const
void | putVar (const std::vector< size_t > &startp, const std::vector< size_t > &countp, const void *dataValues) const
void | putVar (const unsigned char *dataValues) const
void | putVar (const unsigned int *dataValues) const
void | putVar (const unsigned long long *dataValues) const
void | putVar (const unsigned short *dataValues) const
void | putVar (const void *dataValues) const
void | rename (const std::string &newname) const
void | setChecksum (ChecksumMode checksumMode) const
void | setChunkCache (size_t size, size_t nelems, float preemption) const
void | setChunking (ChunkMode chunkMode, std::vector< size_t > &chunksizes) const
void | setCompression (bool enableShuffleFilter, bool enableDeflateFilter, int deflateLevel) const
void | setEndianness (EndianMode endianMode) const
void | setFill (bool fillMode, const void *fillValue=NULL) const
template<class T>
void | setFill (bool fillMode, T fillValue) const
void | setFill (bool fillMode, void *fillValue=NULL) const
void | setFilter (unsigned int id, size_t nparams, const unsigned int *parms) const
| ~NcVar ()

## Friends

bool | operator< (const NcVar &lhs, const NcVar &rhs)
bool | operator> (const NcVar &lhs, const NcVar &rhs)

## Detailed Description

Class represents a netCDF variable.

## Member Enumeration Documentation

## ChecksumMode

enum netCDF::NcVar::ChecksumMode

Used for checksum specification (see NcVar::setChecksum, NcVar::getChecksum).

Enumerator
nc_NOCHECKSUM | No checksum (the default).
nc_FLETCHER32 | Selects the Fletcher32 checksum filter.

## ChunkMode

enum netCDF::NcVar::ChunkMode

Used for chunking specifications (see NcVar::setChunking, NcVar::getChunkingParameters).

Enumerator
nc_CHUNKED | Chunked storage is used for this variable.
nc_CONTIGUOUS | Contiguous storage is used for this variable. Variables with one or more unlimited dimensions cannot use contiguous storage. If contiguous storage is turned on, the chunkSizes parameter is ignored.

## EndianMode

enum netCDF::NcVar::EndianMode

Used to specifying the endianess of the data, (see NcVar::setEndianness, NcVar::getEndianness). By default this is NC_ENDIAN_NATIVE.

Enumerator
nc_ENDIAN_NATIVE | Native endian.
nc_ENDIAN_LITTLE | Little endian.
nc_ENDIAN_BIG | Big endian.

## Constructor & Destructor Documentation

## ~NcVar()

netCDF::NcVar::~NcVar | ( |  | ) |

inline

destructor

## NcVar() [1/3]

NcVar::NcVar | ( |  | ) |

Constructor generates a null object.

## NcVar() [2/3]

NcVar::NcVar | ( | const NcGroup & | grp,
|  | const int & | varId )

Constructor for a variable .

The variable must already exist in the netCDF file. New netCDF variables can be added using NcGroup::addNcVar();

Parameters

  grp | Parent NcGroup object.
  varId | Id of the is NcVar object.

## NcVar() [3/3]

NcVar::NcVar | ( | const NcVar & | ncVar | ) |

The copy constructor.

## Member Function Documentation

## freeString()

void NcVar::freeString | ( | size_t | len,
|  | char ** | data ) const

Free memory allocated for a string.

## getAtt()

NcVarAtt NcVar::getAtt | ( | const std::string & | name | ) | const

Gets attribute by name

## getAttCount()

int NcVar::getAttCount | ( |  | ) | const

Gets the number of attributes.

## getAtts()

map< string, NcVarAtt > NcVar::getAtts | ( |  | ) | const

Gets the set of attributes.

## getChecksum()

NcVar::ChecksumMode NcVar::getChecksum | ( |  | ) | const

Gets the checksum parameters of the variable.

Returns
  ChecksumMode Enumeration type. Allowable parameters are: "nc_NOCHECKSUM", "nc_FLETCHER32".

## getChunkingParameters()

void NcVar::getChunkingParameters | ( | ChunkMode & | chunkMode,
|  | std::vector< size_t > & | chunkSizes ) const

Gets the chunking parameters

Parameters

  chunkMode | On return contains either: "nc_CONTIGUOUS" or "nc_CHUNKED"
  chunksizes | On return contains shape of chunking, used if ChunkMode=nc_CHUNKED.

## getCompressionParameters()

void NcVar::getCompressionParameters | ( | bool & | shuffleFilterEnabled,
|  | bool & | deflateFilterEnabled,
|  | int & | deflateLevel ) const

Gets the compression parameters

Parameters

  enableShuffleFilter | On return set to true if the shuffle filter is enabled.
  enableDeflateFilter | On return set to true if the deflate filter is enabled.
  deflateLevel | On return set to the deflate level.

## getDim()

NcDim NcVar::getDim | ( | int | i | ) | const

Gets the i'th NcDim object.

## getDimCount()

int NcVar::getDimCount | ( |  | ) | const

The the number of dimensions.

## getDims()

vector< NcDim > NcVar::getDims | ( |  | ) | const

Gets the set of NcDim objects.

## getEndianness()

NcVar::EndianMode NcVar::getEndianness | ( |  | ) | const

Gets the endianness of the variable.

Returns
  Endianness enumeration type. Allowable parameters are: "nc_ENDIAN_NATIVE" (the default), "nc_ENDIAN_LITTLE", "nc_ENDIAN_BIG"

## getFillModeParameters() [1/2]

template<class T>

void netCDF::NcVar::getFillModeParameters | ( | bool & | fillMode,
|  | T & | fillValue ) const

inline

Gets the fill parameters

Parameters

  On | return set to true if fill mode is enabled.
  On | return is set to the fill value.

## getFillModeParameters() [2/2]

void NcVar::getFillModeParameters | ( | bool & | fillMode,
|  | void * | fillValue = NULL ) const

This is an overloaded member function, provided for convenience. It differs from the above function in what argument(s) it accepts. The function can be used for any type, including user-defined types.

Parameters

  fillMode | On return set to true if fill mode is enabled.
  fillValue | On return containts a pointer to fill value. Must be the same type as the variable. Ignored if fillMode=.false.

## getFilter()

void NcVar::getFilter | ( | unsigned int * | idp,
|  | size_t * | nparamsp,
|  | unsigned int * | params ) const

Query filter properties (if a filter has been applied).

## getId()

int NcVar::getId | ( |  | ) | const

Get the variable id.

## getName()

string NcVar::getName | ( |  | ) | const

Name of this NcVar object.

## getParentGroup()

NcGroup NcVar::getParentGroup | ( |  | ) | const

Gets parent group.

## getType()

NcType NcVar::getType | ( |  | ) | const

Returns the variable type.

## getTypeLen()

void NcVar::getTypeLen | ( | nc_type | type | ) | const

Query the length of a given ncType.

## getVar() [1/70]

void NcVar::getVar | ( | char ** | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [2/70]

void NcVar::getVar | ( | char * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [3/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | char ** | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [4/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | char * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [5/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | double * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [6/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | float * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [7/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | int * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [8/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | long * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [9/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | long long * | datumValue ) const

Reads a single datum value from a variable of an open netCDF dataset. The value is converted from the external data type of the variable, if necessary.

Parameters

  index | Vector specifying the index of the data value to be read. The indices are relative to 0, so for example, the first data value of a two-dimensional variable would have index (0,0). The elements of index must correspond to the variable's dimensions. Hence, if the variable is a record variable, the first index is the record number.
  datumValue | Pointer to the location into which the data value is read. If the type of data value differs from the netCDF variable type, type conversion will occur. (However, no type conversion is carried out for variables using the user-defined data types: nc_Vlen, nc_Opaque, nc_Compound and nc_Enum.)

## getVar() [10/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | short * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [11/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | signed char * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [12/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | unsigned char * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [13/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | unsigned int * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [14/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | unsigned long long * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [15/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | unsigned short * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [16/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | index,
|  | void * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function in what argument(s) it accepts. In addition, no data conversion is carried out. This means that the type of the data in memory must match the type of the variable.

## getVar() [17/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | char ** | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [18/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [19/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | char ** | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [20/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [21/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | char ** | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [22/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [23/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | double * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [24/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | float * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [25/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [26/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [27/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | long long * | dataValues ) const

Reads a mapped array section of values from a netCDF variable. The mapped array section is specified by giving a corner, a vector of edge lengths, a stride vector, and an index mapping vector. The index mapping vector is a vector of integers that specifies the mapping between the dimensions of a netCDF variable and the in-memory structure of the internal data array. No assumptions are made about the ordering or length of the dimensions of the data array.

Parameters

  start

  Vector specifying the index in the variable where the first of the data values will be read. The indices are relative to 0, so for example, the first data value of a variable would have index (0, 0, ... , 0). The length of start must be the same as the number of dimensions of the specified variable. The elements of start correspond, in order, to the variable's dimensions. Hence, if the variable is a record variable, the first index would correspond to the starting record number for reading the data values.

  count

  Vector specifying the edge lengths along each dimension of the block of data values to be read. To read a single value, for example, specify count as (1, 1, ... , 1). The length of count is the number of dimensions of the specified variable. The elements of count correspond, in order, to the variable's dimensions. Hence, if the variable is a record variable, the first element of count corresponds to a count of the number of records to read. Note: setting any element of the count array to zero causes the function to exit without error, and without doing anything.

  stride

  Vector specifying the interval between selected indices. The elements of the stride vector correspond, in order, to the variable's dimensions. A value of 1 accesses adjacent values of the netCDF variable in the corresponding dimension; a value of 2 accesses every other value of the netCDF variable in the corresponding dimension; and so on. A NULL stride argument is treated as (1, 1, ... , 1).

  imap

  Vector of integers that specifies the mapping between the dimensions of a netCDF variable and the in-memory structure of the internal data array. imap[0] gives the distance between elements of the internal array corresponding to the most slowly varying dimension of the netCDF variable. imap[n-1] (where n is the rank of the netCDF variable) gives the distance between elements of the internal array corresponding to the most rapidly varying dimension of the netCDF variable. Intervening imap elements correspond to other dimensions of the netCDF variable in the obvious way. Distances between elements are specified in type-independent units of elements (the distance between internal elements that occupy adjacent memory locations is 1 and not the element's byte-length as in netCDF 2).

  dataValues | Pointer to the location into which the data value is read. If the type of data value differs from the netCDF variable type, type conversion will occur. (However, no type conversion is carried out for variables using the user-defined data types: nc_Vlen, nc_Opaque, nc_Compound and nc_Enum.)

## getVar() [28/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [29/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | signed char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [30/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | unsigned char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [31/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | unsigned int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [32/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | unsigned long long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [33/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | unsigned short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [34/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | const std::vector< ptrdiff_t > & | imap,
|  | void * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function in what argument(s) it accepts. In addition, no data conversion is carried out. This means that the type of the data in memory must match the type of the variable.

## getVar() [35/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | double * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [36/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | float * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [37/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [38/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [39/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | long long * | dataValues ) const

Reads a subsampled (strided) array section of values from a netCDF variable. The subsampled array section is specified by giving a corner, a vector of edge lengths, and a stride vector. The values are read with the last dimension of the netCDF variable varying fastest.

Parameters

  start

  Vector specifying the index in the variable where the first of the data values will be read. The indices are relative to 0, so for example, the first data value of a variable would have index (0, 0, ... , 0). The length of start must be the same as the number of dimensions of the specified variable. The elements of start correspond, in order, to the variable's dimensions. Hence, if the variable is a record variable, the first index would correspond to the starting record number for reading the data values.

  count

  Vector specifying the edge lengths along each dimension of the block of data values to be read. To read a single value, for example, specify count as (1, 1, ... , 1). The length of count is the number of dimensions of the specified variable. The elements of count correspond, in order, to the variable's dimensions. Hence, if the variable is a record variable, the first element of count corresponds to a count of the number of records to read. Note: setting any element of the count array to zero causes the function to exit without error, and without doing anything.

  stride

  Vector specifying the interval between selected indices. The elements of the stride vector correspond, in order, to the variable's dimensions. A value of 1 accesses adjacent values of the netCDF variable in the corresponding dimension; a value of 2 accesses every other value of the netCDF variable in the corresponding dimension; and so on. A NULL stride argument is treated as (1, 1, ... , 1).

  dataValues | Pointer to the location into which the data value is read. If the type of data value differs from the netCDF variable type, type conversion will occur. (However, no type conversion is carried out for variables using the user-defined data types: nc_Vlen, nc_Opaque, nc_Compound and nc_Enum.)

## getVar() [40/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [41/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | signed char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [42/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | unsigned char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [43/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | unsigned int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [44/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | unsigned long long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [45/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | unsigned short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [46/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | const std::vector< ptrdiff_t > & | stride,
|  | void * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function in what argument(s) it accepts. In addition, no data conversion is carried out. This means that the type of the data in memory must match the type of the variable.

## getVar() [47/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | double * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [48/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | float * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [49/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [50/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [51/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | long long * | dataValues ) const

Reads an array of values from a netCDF variable of an open netCDF dataset. The array is specified by giving a corner and a vector of edge lengths. The values are read into consecutive locations with the last dimension varying fastest.

Parameters

  start

  Vector specifying the index in the variable where the first of the data values will be read. The indices are relative to 0, so for example, the first data value of a variable would have index (0, 0, ... , 0). The length of start must be the same as the number of dimensions of the specified variable. The elements of start correspond, in order, to the variable's dimensions. Hence, if the variable is a record variable, the first index would correspond to the starting record number for reading the data values.

  count

  Vector specifying the edge lengths along each dimension of the block of data values to be read. To read a single value, for example, specify count as (1, 1, ... , 1). The length of count is the number of dimensions of the specified variable. The elements of count correspond, in order, to the variable's dimensions. Hence, if the variable is a record variable, the first element of count corresponds to a count of the number of records to read. Note: setting any element of the count array to zero causes the function to exit without error, and without doing anything.

  dataValues | Pointer to the location into which the data value is read. If the type of data value differs from the netCDF variable type, type conversion will occur. (However, no type conversion is carried out for variables using the user-defined data types: nc_Vlen, nc_Opaque, nc_Compound and nc_Enum.)

## getVar() [52/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [53/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | signed char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [54/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | unsigned char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [55/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | unsigned int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [56/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | unsigned long long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [57/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | unsigned short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [58/70]

void netCDF::NcVar::getVar | ( | const std::vector< size_t > & | start,
|  | const std::vector< size_t > & | count,
|  | void * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function in what argument(s) it accepts. In addition, no data conversion is carried out. This means that the type of the data in memory must match the type of the variable.

## getVar() [59/70]

void NcVar::getVar | ( | double * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [60/70]

void NcVar::getVar | ( | float * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [61/70]

void NcVar::getVar | ( | int * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [62/70]

void NcVar::getVar | ( | long * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [63/70]

void NcVar::getVar | ( | long long * | dataValues | ) | const

Reads the entire data from an netCDF variable. This is the simplest interface to use for reading the value of a scalar variable or when all the values of a multidimensional variable can be read at once. The values are read into consecutive locations with the last dimension varying fastest.

Take care when using the simplest forms of this interface with record variables when you don't specify how many records are to be read. If you try to read all the values of a record variable into an array but there are more records in the file than you assume, more data will be read than you expect, which may cause a segmentation violation.

Parameters

  dataValues | Pointer to the location into which the data value is read. If the type of data value differs from the netCDF variable type, type conversion will occur. (However, no type conversion is carried out for variables using the user-defined data types: nc_Vlen, nc_Opaque, nc_Compound and nc_Enum.)

## getVar() [64/70]

void NcVar::getVar | ( | short * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [65/70]

void NcVar::getVar | ( | signed char * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [66/70]

void NcVar::getVar | ( | unsigned char * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [67/70]

void NcVar::getVar | ( | unsigned int * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [68/70]

void NcVar::getVar | ( | unsigned long long * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [69/70]

void NcVar::getVar | ( | unsigned short * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## getVar() [70/70]

void NcVar::getVar | ( | void * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function in what argument(s) it accepts. In addition, no data conversion is carried out. This means that the type of the data in memory must match the type of the variable.

## isNull()

bool netCDF::NcVar::isNull | ( |  | ) | const

inline

Returns true if this object variable is not defined.

## operator!=()

bool NcVar::operator!= | ( | const NcVar & | rhs | ) | const

!= operator

## operator=()

NcVar & NcVar::operator= | ( | const NcVar & | rhs | ) |

assignment operator

## operator==()

bool NcVar::operator== | ( | const NcVar & | rhs | ) | const

equivalence operator

## putAtt() [1/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | double | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [2/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | float | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [3/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | int | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [4/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | long | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [5/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | long long | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [6/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | short | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [7/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const double * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [8/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const float * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [9/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [10/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [11/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const long long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [12/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [13/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const signed char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [14/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const unsigned char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [15/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const unsigned int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [16/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const unsigned long long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [17/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const unsigned short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [18/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | size_t | len,
|  | const void * | dataValues ) const

Creates a new variable attribute or if already exisiting replaces it. If you are writing a Fill_Value attribute, and will tell the HDF5 layer to use the specified fill value for that variable.

  Although it's possible to create attributes of all types, text and double attributes are adequate for most purposes.

Parameters

  name | Name of attribute.
  type | The attribute type.
  len | The length of the attribute (number of Nctype repeats).
  dataValues | Data Values to put into the new attribute. If the type of data values differs from the netCDF variable type, type conversion will occur. (However, no type conversion is carried out for variables using the user-defined data types: nc_Vlen, nc_Opaque, nc_Compound and nc_Enum.)

Returns
  The NcVarAtt object for this new netCDF attribute.

## putAtt() [19/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | unsigned int | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [20/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | unsigned long long | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [21/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const NcType & | type,
|  | unsigned short | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [22/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | const std::string & | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putAtt() [23/23]

NcVarAtt netCDF::NcVar::putAtt | ( | const std::string & | name,
|  | size_t | len,
|  | const char ** | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [1/70]

void NcVar::putVar | ( | const char ** | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [2/70]

void NcVar::putVar | ( | const char * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [3/70]

void NcVar::putVar | ( | const double * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [4/70]

void NcVar::putVar | ( | const float * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [5/70]

void NcVar::putVar | ( | const int * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [6/70]

void NcVar::putVar | ( | const long * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [7/70]

void NcVar::putVar | ( | const long long * | dataValues | ) | const

Writes the entire data into the netCDF variable. This is the simplest interface to use for writing a value in a scalar variable or whenever all the values of a multidimensional variable can all be written at once. The values to be written are associated with the netCDF variable by assuming that the last dimension of the netCDF variable varies fastest in the C interface.

Take care when using the simplest forms of this interface with record variables when you don't specify how many records are to be written. If you try to write all the values of a record variable into a netCDF file that has no record data yet (hence has 0 records), nothing will be written. Similarly, if you try to write all of a record variable but there are more records in the file than you assume, more data may be written to the file than you supply, which may result in a segmentation violation.

Parameters

  dataValues | The data values. The order in which the data will be written to the netCDF variable is with the last dimension of the specified variable varying fastest. If the type of data values differs from the netCDF variable type, type conversion will occur. (However, no type conversion is carried out for variables using the user-defined data types: nc_Vlen, nc_Opaque, nc_Compound and nc_Enum.)

## putVar() [8/70]

void NcVar::putVar | ( | const short * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [9/70]

void NcVar::putVar | ( | const signed char * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [10/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const char ** | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [11/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const double | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [12/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const float | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [13/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const int | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [14/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const long | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [15/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const long long | datumValue ) const

Writes a single datum into the netCDF variable.

Parameters

  index | Vector specifying the index where the data values will be written. The indices are relative to 0, so for example, the first data value of a two-dimensional variable would have index (0,0). The elements of index must correspond to the variable's dimensions. Hence, if the variable uses the unlimited dimension, the first index would correspond to the unlimited dimension.
  datumValue | The data value. If the type of data values differs from the netCDF variable type, type conversion will occur. (However, no type conversion is carried out for variables using the user-defined data types: nc_Vlen, nc_Opaque, nc_Compound and nc_Enum.)

## putVar() [16/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const short | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [17/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const signed char * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [18/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const std::string & | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [19/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const unsigned char * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [20/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const unsigned int | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [21/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const unsigned long long | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [22/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const unsigned short | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [23/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | index,
|  | const void * | datumValue ) const

This is an overloaded member function, provided for convenience. It differs from the above function in what argument(s) it accepts. In addition, no data conversion is carried out. This means that the type of the data in memory must match the type of the variable.

## putVar() [24/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const char ** | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [25/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [26/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const double * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [27/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const float * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [28/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [29/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [30/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const long long * | dataValues ) const

Writes an array of values into the netCDF variable. The portion of the netCDF variable to write is specified by giving a corner and a vector of edge lengths that refer to an array section of the netCDF variable. The values to be written are associated with the netCDF variable by assuming that the last dimension of the netCDF variable varies fastest.

Parameters

  startp

  Vector specifying the index where the first data values will be written. The indices are relative to 0, so for example, the first data value of a variable would have index (0, 0, ... , 0). The elements of start correspond, in order, to the variable's dimensions. Hence, if the variable is a record variable, the first index corresponds to the starting record number for writing the data values.

  countp

  Vector specifying the number of indices selected along each dimension. To write a single value, for example, specify count as (1, 1, ... , 1). The elements of count correspond, in order, to the variable's dimensions. Hence, if the variable is a record variable, the first element of count corresponds to a count of the number of records to write. Note: setting any element of the count array to zero causes the function to exit without error, and without doing anything.

  dataValues | The data values. The order in which the data will be written to the netCDF variable is with the last dimension of the specified variable varying fastest. If the type of data values differs from the netCDF variable type, type conversion will occur. (However, no type conversion is carried out for variables using the user-defined data types: nc_Vlen, nc_Opaque, nc_Compound and nc_Enum.)

## putVar() [31/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [32/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const signed char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [33/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const char ** | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [34/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [35/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const double * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [36/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const float * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [37/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [38/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [39/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const long long * | dataValues ) const

Writes an array of values into the netCDF variable. The subsampled array section is specified by giving a corner, a vector of counts, and a stride vector.

Parameters

  startp

  Vector specifying the index where the first data values will be written. The indices are relative to 0, so for example, the first data value of a variable would have index (0, 0, ... , 0). The elements of start correspond, in order, to the variable's dimensions. Hence, if the variable is a record variable, the first index corresponds to the starting record number for writing the data values.

  countp

  Vector specifying the number of indices selected along each dimension. To write a single value, for example, specify count as (1, 1, ... , 1). The elements of count correspond, in order, to the variable's dimensions. Hence, if the variable is a record variable, the first element of count corresponds to a count of the number of records to write. Note: setting any element of the count array to zero causes the function to exit without error, and without doing anything.

  stridep

  A vector of ptrdiff_t integers that specifies the sampling interval along each dimension of the netCDF variable. The elements of the stride vector correspond, in order, to the netCDF variable's dimensions (stride[0] gives the sampling interval along the most slowly varying dimension of the netCDF variable). Sampling intervals are specified in type-independent units of elements (a value of 1 selects consecutive elements of the netCDF variable along the corresponding dimension, a value of 2 selects every other element, etc.). A NULL stride argument is treated as (1, 1, ... , 1).

  dataValues | The data values. The order in which the data will be written to the netCDF variable is with the last dimension of the specified variable varying fastest. If the type of data values differs from the netCDF variable type, type conversion will occur. (However, no type conversion is carried out for variables using the user-defined data types: nc_Vlen, nc_Opaque, nc_Compound and nc_Enum.

## putVar() [40/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [41/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const signed char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [42/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const char ** | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [43/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [44/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const double * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [45/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const float * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [46/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [47/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [48/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const long long * | dataValues ) const

Writes a mapped array section of values into the netCDF variable. The mapped array section is specified by giving a corner, a vector of counts, a stride vector, and an index mapping vector. The index mapping vector is a vector of integers that specifies the mapping between the dimensions of a netCDF variable and the in-memory structure of the internal data array. No assumptions are made about the ordering or length of the dimensions of the data array.

Parameters

  countp

  Vector specifying the number of indices selected along each dimension. To write a single value, for example, specify count as (1, 1, ... , 1). The elements of count correspond, in order, to the variable's dimensions. Hence, if the variable is a record variable, the first element of count corresponds to a count of the number of records to write. Note: setting any element of the count array to zero causes the function to exit without error, and without doing anything.

  stridep

  A vector of ptrdiff_t integers that specifies the sampling interval along each dimension of the netCDF variable. The elements of the stride vector correspond, in order, to the netCDF variable's dimensions (stride[0] gives the sampling interval along the most slowly varying dimension of the netCDF variable). Sampling intervals are specified in type-independent units of elements (a value of 1 selects consecutive elements of the netCDF variable along the corresponding dimension, a value of 2 selects every other element, etc.). A NULL stride argument is treated as (1, 1, ... , 1).

  imap

  Vector specifies the mapping between the dimensions of a netCDF variable and the in-memory structure of the internal data array. The elements of the index mapping vector correspond, in order, to the netCDF variable's dimensions (imap[0] gives the distance between elements of the internal array corresponding to the most slowly varying dimension of the netCDF variable). Distances between elements are specified in type-independent units of elements (the distance between internal elements that occupy adjacent memory locations is 1 and not the element's byte-length as in netCDF 2). A NULL argument means the memory-resident values have the same structure as the associated netCDF variable.

  dataValues | The data values. The order in which the data will be written to the netCDF variable is with the last dimension of the specified variable varying fastest. If the type of data values differs from the netCDF variable type, type conversion will occur. (However, no type conversion is carried out for variables using the user-defined data types: nc_Vlen, nc_Opaque, nc_Compound and nc_Enum.)

## putVar() [49/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [50/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const signed char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [51/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const unsigned char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [52/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const unsigned int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [53/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const unsigned long long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [54/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const unsigned short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [55/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const std::vector< ptrdiff_t > & | imapp,
|  | const void * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function in what argument(s) it accepts. In addition, no data conversion is carried out. This means that the type of the data in memory must match the type of the variable.

## putVar() [56/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const unsigned char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [57/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const unsigned int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [58/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const unsigned long long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [59/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const unsigned short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [60/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const std::vector< ptrdiff_t > & | stridep,
|  | const void * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function in what argument(s) it accepts. In addition, no data conversion is carried out. This means that the type of the data in memory must match the type of the variable.

## putVar() [61/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const unsigned char * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [62/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const unsigned int * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [63/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const unsigned long long * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [64/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const unsigned short * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [65/70]

void netCDF::NcVar::putVar | ( | const std::vector< size_t > & | startp,
|  | const std::vector< size_t > & | countp,
|  | const void * | dataValues ) const

This is an overloaded member function, provided for convenience. It differs from the above function in what argument(s) it accepts. In addition, no data conversion is carried out. This means that the type of the data in memory must match the type of the variable.

## putVar() [66/70]

void NcVar::putVar | ( | const unsigned char * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [67/70]

void NcVar::putVar | ( | const unsigned int * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [68/70]

void NcVar::putVar | ( | const unsigned long long * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [69/70]

void NcVar::putVar | ( | const unsigned short * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## putVar() [70/70]

void NcVar::putVar | ( | const void * | dataValues | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function in what argument(s) it accepts. In addition, no data conversion is carried out. This means that the type of the data in memory must match the type of the variable.

## rename()

void NcVar::rename | ( | const std::string & | newname | ) | const

Rename the variable.

## setChecksum()

void NcVar::setChecksum | ( | ChecksumMode | checksumMode | ) | const

Sets the checksum parameters of a variable.

Parameters

  ChecksumMode | Enumeration type. Allowable parameters are: "nc_NOCHECKSUM", "nc_FLETCHER32".

## setChunkCache()

void NcVar::setChunkCache | ( | size_t | size,
|  | size_t | nelems,
|  | float | preemption ) const

Change cache setttings for a chunked variable.

## setChunking()

void NcVar::setChunking | ( | ChunkMode | chunkMode,
|  | std::vector< size_t > & | chunksizes ) const

Sets chunking parameters.

Parameters

  chunkMode | Enumeration type. Allowable parameters are: "nc_CONTIGUOUS", "nc_CHUNKED"
  chunksizes | Shape of chunking, used if ChunkMode=nc_CHUNKED.

## setCompression()

void NcVar::setCompression | ( | bool | enableShuffleFilter,
|  | bool | enableDeflateFilter,
|  | int | deflateLevel ) const

Sets the compression parameters

Parameters

  enableShuffleFilter | Set to true to turn on shuffle filter.
  enableDeflateFilter | Set to true to turn on deflate filter.
  deflateLevel | The deflate level, must be 0 and 9.

## setEndianness()

void NcVar::setEndianness | ( | EndianMode | endianMode | ) | const

Sets the endianness of the variable.

Parameters

  Endianness | enumeration type. Allowable parameters are: "nc_ENDIAN_NATIVE" (the default), "nc_ENDIAN_LITTLE", "nc_ENDIAN_BIG"

## setFill() [1/3]

void NcVar::setFill | ( | bool | fillMode,
|  | const void * | fillValue = NULL ) const

This is an overloaded member function, provided for convenience. It differs from the above function in what argument(s) it accepts. The function can be used for any type, including user-defined types.

Parameters

  fillMode | Setting to true, turns on fill mode.
  fillValue | Pointer to fill value. Must be the same type as the variable. Ignored if fillMode=.false.

## setFill() [2/3]

template<class T>

void netCDF::NcVar::setFill | ( | bool | fillMode,
|  | T | fillValue ) const

inline

Sets the fill parameters

Parameters

  fillMode | Setting to true, turns on fill mode.
  fillValue | Fill value for the variable. Must be the same type as the variable. Ignored if fillMode=.false.

## setFill() [3/3]

void NcVar::setFill | ( | bool | fillMode,
|  | void * | fillValue = NULL ) const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## setFilter()

void NcVar::setFilter | ( | unsigned int | id,
|  | size_t | nparams,
|  | const unsigned int * | parms ) const

Define new variable for compression/decompression.

## Friends And Related Symbol Documentation

## operator<

bool operator< | ( | const NcVar & | lhs,
|  | const NcVar & | rhs )

friend

comparator operator

## operator>

bool operator> | ( | const NcVar & | lhs,
|  | const NcVar & | rhs )

friend

comparator operator

The documentation for this class was generated from the following files:

- ncVar.h
- ncVar.cpp